version: "1.0"
services:
  quaoarlesson_6:
    container_name: quaoarlesson_6
    image: fcarella/quaoarlesson:6
    network_mode: "host"
    environment:
    - DISPLAY=$DISPLAY
    #- DISPLAY=192.168.0.158:0.0
#    volumes:
    # https://stackoverflow.com/questions/36249744/interactive-shell-using-docker-compose
    # run it and open a bash interactive terminal: 
    #  docker-compose run --rm quaoarlesson_6
    ## 
    # The first corresponds to -i in docker run and the second to -t.
    stdin_open: true # docker run -i
    tty: true        # docker run -t

      
#    command: /usr/bin/draw.sh

#     networks:
#       testing_net:
#           ipv4_address: 172.28.1.2


# networks:
#     testing_net:
#         ipam:
#             driver: default
#             config:
#                 - subnet: 172.28.0.0/16
